##
##  uglifyjs.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_uglifyjs      3.17.0
%define       V_uglifyjs_snap 20220826

#   package information
Name:         uglifyjs
Summary:      JavaScript Parser/Compressor/Beautifier
URL:          http://lisperator.net/uglifyjs/
Vendor:       Mihai Bazon
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      BSD
Version:      %{V_uglifyjs}
Release:      20220826

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/uglifyjs/uglifyjs-%{V_uglifyjs}-%{V_uglifyjs_snap}.tar.gz
Source1:      uglifyjs.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg, discount, w3m
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    UglifyJS is a JavaScript parser/compressor/beautifier running on the
    NodeJS engine.

%track
    prog uglifyjs = {
        version   = %{version}
        url       = https://github.com/mishoo/UglifyJS2/releases
        regex     = v(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    (   cd node_modules/uglify-js
        mkd2html README.md
        HOME=`pwd` w3m -dump README.html >uglifyjs.1
    ) || exit $?
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/uglifyjs \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat1
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE uglifyjs.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/uglifyjs
    %{l_shtool} install -c -m 644 \
        node_modules/uglify-js/uglifyjs.1 $RPM_BUILD_ROOT%{l_prefix}/man/cat1/
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/uglifyjs/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

